#include "testApp.h"

//--------------------------------------------------------------
void testApp::setup(){
	ofSetVerticalSync(true);
	ofSetFrameRate(60);
	
	//mirror
	mirror.allocate(300,300,GL_RGB);
}

//--------------------------------------------------------------
void testApp::update(){

}

//--------------------------------------------------------------
void testApp::draw(){
	ofSetColor(0, 0, 0);
	ofRect(50, 50, 300, 300);
	if(mouseX>50 && mouseX<350 && mouseY>50 && mouseY<350){
		float x1 = ofRandom(50, 350);
		float y1 = ofRandom(50, 350);
		float x2 = ofRandom(50, 350);
		float y2 = ofRandom(50, 350);
		int randomColor = ofRandomuf()*255;
		ofSetColor(255, randomColor, 0);
		ofTriangle(mouseX, mouseY, x1, y1, x2, y2);
	}
	mirror.loadScreenData(50,50,300,300);
	ofPushMatrix();
		ofTranslate(600, 200, 0);
		ofRotateZ(ofGetFrameNum());
		mirror.draw(-150,-150);
	ofPopMatrix();
}

//--------------------------------------------------------------
void testApp::keyPressed(int key){

}

//--------------------------------------------------------------
void testApp::keyReleased(int key){

}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){

}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mouseReleased(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::windowResized(int w, int h){

}

